SweaveTeXFilter {tools} | R Documentation

## Strip R Code out of Sweave File

### Description

This function blanks out code chunks and Noweb markup in an Sweave input file, for spell checking or other uses.

### Usage

    SweaveTeXFilter(ifile, encoding = "unknown")

### Arguments

`ifile` | Input file or connection.
`encoding` | Text encoding to pass to `readLines`.

### Details

This function blanks out all Noweb markup and code chunks from an Sweave input file, leaving behind the LaTeX source, so that a LaTeX-aware spelling checker can check it and report errors in their original locations.

### Value

A character vector which if written to a file, one element per line, would duplicate the text elements of the original Sweave input file.

### Author(s)

Duncan Murdoch

### See Also

`aspell`, for which this is used with `filter = "Sweave"`.

[Package tools version 3.6.0 Index]